Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.config.constructionheuristic
Class ConstructionHeuristicSolverPhaseConfig

    java.lang.Object
      org.optaplanner.core.config.phase.SolverPhaseConfig
          org.optaplanner.core.config.constructionheuristic.ConstructionHeuristicSolverPhaseConfig

    public class ConstructionHeuristicSolverPhaseConfig

extends SolverPhaseConfig

Nested Class Summary
`static class` | `ConstructionHeuristicSolverPhaseConfig.ConstructionHeuristicType`

Field Summary
`protected ConstructionHeuristicPickEarlyType` | `constructionHeuristicPickEarlyType`
`protected ConstructionHeuristicSolverPhaseConfig.ConstructionHeuristicType` | `constructionHeuristicType`
`protected List<EntityPlacerConfig>` | `entityPlacerConfigList`

Constructor Summary
`ConstructionHeuristicSolverPhaseConfig()`

Method Summary
`ConstructionHeuristicSolverPhase` | `buildSolverPhase(int phaseIndex, EnvironmentMode environmentMode, SolutionDescriptor solutionDescriptor, ScoreDefinition scoreDefinition, Termination solverTermination)`
`ConstructionHeuristicPickEarlyType` | `getConstructionHeuristicPickEarlyType()`
`ConstructionHeuristicSolverPhaseConfig.ConstructionHeuristicType` | `getConstructionHeuristicType()`
`List<EntityPlacerConfig>` | `getEntityPlacerConfigList()`
`void` | `inherit(ConstructionHeuristicSolverPhaseConfig inheritedConfig)`
`void` | `setConstructionHeuristicPickEarlyType(ConstructionHeuristicPickEarlyType constructionHeuristicPickEarlyType)`
`void` | `setConstructionHeuristicType(ConstructionHeuristicSolverPhaseConfig.ConstructionHeuristicType constructionHeuristicType)`
`void` | `setEntityPlacerConfigList(List<EntityPlacerConfig> entityPlacerConfigList)`

Methods inherited from class org.optaplanner.core.config.phase.SolverPhaseConfig
`configureSolverPhase, getTerminationConfig, inherit, setTerminationConfig`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### constructionHeuristicType

    protected ConstructionHeuristicSolverPhaseConfig.ConstructionHeuristicType constructionHeuristicType

### constructionHeuristicPickEarlyType

    protected ConstructionHeuristicPickEarlyType constructionHeuristicPickEarlyType

### entityPlacerConfigList

    protected List<EntityPlacerConfig> entityPlacerConfigList

Constructor Detail

### ConstructionHeuristicSolverPhaseConfig

    public ConstructionHeuristicSolverPhaseConfig()

Method Detail

### getConstructionHeuristicType

    public ConstructionHeuristicSolverPhaseConfig.ConstructionHeuristicType getConstructionHeuristicType()

### setConstructionHeuristicType

    public void setConstructionHeuristicType(ConstructionHeuristicSolverPhaseConfig.ConstructionHeuristicType constructionHeuristicType)

### getConstructionHeuristicPickEarlyType

    public ConstructionHeuristicPickEarlyType getConstructionHeuristicPickEarlyType()

### setConstructionHeuristicPickEarlyType

    public void setConstructionHeuristicPickEarlyType(ConstructionHeuristicPickEarlyType constructionHeuristicPickEarlyType)

### getEntityPlacerConfigList

    public List<EntityPlacerConfig> getEntityPlacerConfigList()

### setEntityPlacerConfigList

    public void setEntityPlacerConfigList(List<EntityPlacerConfig> entityPlacerConfigList)

### buildSolverPhase

    public ConstructionHeuristicSolverPhase buildSolverPhase(int phaseIndex,
                                                             EnvironmentMode environmentMode,
                                                             SolutionDescriptor solutionDescriptor,
                                                             ScoreDefinition scoreDefinition,
                                                             Termination solverTermination)

  Specified by:
    `buildSolverPhase` in class `SolverPhaseConfig`

### inherit

    public void inherit(ConstructionHeuristicSolverPhaseConfig inheritedConfig)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 JBoss by Red Hat. All Rights Reserved.